<!-- <!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title><%= pageTitle %></title>
    <link rel="stylesheet" href="/css/main.css"> -->

    <%- include('ejs-layouts/head.ejs') %>
    <link rel="stylesheet" href="/css/product.css">
</head>

<body>
    <!-- <header class="main-header">
        <nav class="main-header__nav">
            <ul class="main-header__item-list">
                <li class="main-header__item"><a class="active" href="/shopper">Shop</a></li>
                <li class="main-header__item"><a href="/admin/add-product">Add Product</a></li>
            </ul>
        </nav>
    </header> -->

    <%- include('ejs-layouts/navigation.ejs') %>
    <main>

       <% if (prods.length > 0){ %>
      <% prods.forEach( function(product){ %>
            <p>List of all the products...</p>
            <div class="grid">
                <article class="card product-item">
                    <header class="card__header">
                        <h1 class="product__title"><%= product.ProductName %></h1>
                    </header>
                    <div class="card__image">
                        <img src="https://cdn.pixabay.com/photo/2016/03/31/20/51/book-1296045_960_720.png" alt="A Book">
                    </div>
                    <div class="card__content">
                        <h2 class="product__price">$19.99</h2>
                        <p class="product__description">A very interesting book about so many even more interesting things!</p>
                    </div>
                    <div class="card__actions">
                        <button class="btn">Add to Cart</button>
                    </div>
                </article>
            </div>
        <%})%>
        <% } else {%>
            <p>No Products Found!</p>
            <% } %>
    </main>

    <%- include('ejs-layouts/page-end.ejs') %>

<!-- </body>

</html> -->